# Vector Internal Documentation

**_This folder contains internal documentation for Vector contributors. If
you're a Vector user, please visit <https://vector.dev/docs>, which is powered by
the [website](../website) directory._**

## Getting started

Whether you're a Vector team member, or an outside contributor, this is the best
place to start. This folder contains internal documentation to help with the
development of Vector and ensuring your change gets approved in a timely manner.

1. **[CONTRIBUTING.md](CONTRIBUTING.md)** - Start here, contributor basics and workflow
2. **[DEVELOPING.md](DEVELOPING.md)** - Everything necessary to develop
3. **[DOCUMENTING.md](DOCUMENTING.md)** - Preparing your change for Vector users

## Vector team members

Vector team members have additional responsibilities beyond outside
contributors:

- **[REVIEWING.md](REVIEWING.md)** - Code review expectations and guidelines.
- **[USER_EXPERIENCE_DESIGN.md](USER_EXPERIENCE_DESIGN.md)** - User experience
  principles and guidelines.

## Project policies

Vector's policies are located in the root directory:

- **[CODE_OF_CONDUCT.md](../CODE_OF_CONDUCT.md)**
- **[PRIVACY.md](../PRIVACY.md)**
- **[RELEASES.md](../RELEASES.md)**
- **[SECURITY.md](../SECURITY.md)**
- **[VERSIONING.md](../VERSIONING.md)**
