---
title: "Accelerating Vector with Datadog"
description: "Timber (and Vector) have been acquired by Datadog"
date: "2021-02-11"
authors: ["binarylogic", "zsherman"]
badges:
  type: announcement
tags: ["datadog", "acquisition"]
---

We're excited to announce that Timber and Vector are now officially part of [Datadog][datadog]!

When we started building Vector, we set out to provide an entirely new kind of data pipeline. We were guided by a belief that when it comes to collecting, transforming, and routing observability data, teams shouldn’t have to accept trade-offs between cost, performance, reliability, and security. They also shouldn’t have to stitch together disparate tools just to get their data from point A to B; the ideal solution should be simple, yet robust, and unify the entire pipeline. We’ve dedicated ourselves to that challenge, and we’re proud of the platform we’ve created.

We started talking to the team at Datadog back in 2017. They have a unique ability to take deep technical innovation and make it accessible to engineering teams through an intuitive and seamless user experience. We’ve always admired their focus on solving real customer problems and engineering excellence, and the breadth of their quality integrations—something we’ve sought to emulate through our work with Vector.

Since we launched the project in 2019, Vector has grown beyond our expectations. It is currently downloaded millions of times per month and used by hundreds of forward-thinking enterprises to collect, process, and take control of their observability data. This growth has significantly intensified the demands on the project and our team, dramatically increasing our integration count, creating unprecedented performance challenges, and adding complex enterprise requirements.

Joining Datadog means that Vector now has a safe, sustainable, long-term home where we can continue to evolve the project to meet the ever-changing needs of modern engineering teams at scale. We will have the resources to expand the team and execute on an ambitious roadmap, all while drawing on the years of observability experience that the Datadog team brings to the table. We plan to double down on Vector’s reliability and performance, solidifying it as the fastest and most reliable observability data platform, and to introduce numerous features designed for enterprise scale deployments of mission-critical observability pipelines.

Without the Vector community, this project would not be what it is today. You all have contributed heavily to the life of this project, providing us with more feedback, GitHub issues, pull requests, feature requests, and lively Discord discussions than we can count. We give our sincere thanks to everyone who has taken part in building something that we can all be proud of, and hope to have you with us as we enter this next chapter.

[datadog]: https://www.datadoghq.com
