---
title: Vector Community
description: >
  Join the Vector community. Connect with other Vector users and help make Vector better.
buttons:
- title: Discord chat
  description: Ask questions and get help
  ionicon: logo-discord
  icon_classes: text-discord-purple
  url: https://chat.vector.dev
- title: "@vectordotdev"
  description: Follow us in real time
  ionicon: logo-twitter
  icon_classes: text-twitter-blue
  url: https://twitter.com/vectordotdev
- title: vectordotdev/vector
  description: Issues, code, and development
  ionicon: logo-github
  icon_classes: text-dark dark:text-gray-200
  url: https://github.com/vectordotdev/vector
aliases: ["/mailing_list"]
---

### How do I contribute to Vector?

Vector is [open source][oss] and welcomes contributions. A few guidelines to help you get started:

1. Read our [contribution guide][contribution].

1. Start with [good first issues][first_issues].

1. Join our [chat] if you have any questions. We are happy to help!

### What is Vector's governance model?

Vector's high-level governance model is designed around the requirements and best practices of the CNCF/Linux Foundation Core Infrastructure Initiative best practice targeting a silver badge status.

1. [CNCF CII best practices][cncf]

1. [Linux Foundation][lf]

### What is the Vector project model?

Vector's project/product management model is designed around the Linux kernel development practices and processes.

1. [Linux Kernel CII best practices][kernel]

1. [Linux Foundation][linux]

### What is the Vector community model?

Vector has adopted the Rust community model and practices for engaging with people and ensuring that all contributors and stakeholders respect the code of conduct.

1. [Rust Language Organization][rust_lang]

1. [Rust community standards][rust_community]

[chat]: https://chat.vector.dev
[cncf]: https://bestpractices.coreinfrastructure.org/en
[contribution]: https://github.com/vectordotdev/vector/blob/master/CONTRIBUTING.md
[first_issues]: https://github.com/vectordotdev/vector/contribute
[kernel]: https://bestpractices.coreinfrastructure.org/en/projects/34
[lf]: https://www.linuxfoundation.org
[linux]: https://www.kernel.org
[oss]: https://github.com/vectordotdev/vector
[rust_community]: https://www.rust-lang.org/community
[rust_lang]: https://www.rust-lang.org
