---
title: What is Observability Pipelines?
weight: 2
tags: ["concepts"]
---

Datadog's Observability Pipelines is a commercial observability data pipeline for collecting, processing, and routing observability data from any source to any destination in the infrastructure that you own or manage.

Use Observability Pipelines to:

- Manage your pipelines from a control plane. You can build or edit pipelines, whether it is to route a subset of data to a new destination or introduce a new sensitive data redaction rule, and roll out these changes to your active pipelines from the Datadog UI.
- Monitor your pipelines to understand the health of your pipelines, identify bottlenecks and latencies, fine-tune performance, validate data delivery, and investigate your largest volume contributors.
- Better optimize volume and control costs by enforcing quotas, store noisy logs in an archive, and more.
- Scan for and redact sensitive data flowing through your pipelines.

## Learn more

- [Observability Pipelines Overview](https://www.datadoghq.com/product/observability-pipelines/)
- [Take Control of Your Telemetry Data with Datadog Observability Pipelines](https://www.datadoghq.com/blog/datadog-observability-pipelines/)
- [Observability Pipelines documentation](https://docs.datadoghq.com/observability_pipelines/)
