---
date: "2023-04-11"
title: "0.29 Upgrade Guide"
description: "An upgrade guide that addresses breaking changes in 0.29.0"
authors: ["stephenwakely", "neuronull"]
release: "0.29.0"
hide_on_release_notes: false
badges:
  type: breaking change
---

Vector's 0.29.0 release includes **breaking changes**:

1. [Removal of the `datadog_logs` and `datadog_metrics` sinks' `api_key` setting](#dd-sinks-api-key)

Vector's 0.29.0 release includes **deprecations**:

1. [The `logdna` sink has been renamed to `mezmo`](#mezmo_sink)
2. [The `socket` source `tcp` and `unix` mode setting `max_length` has been deprecated](#socket-source-max-length)

We cover them below to help you upgrade quickly:

## Upgrade guide

### Breaking changes

#### Removal of the `datadog_logs` and `datadog_metrics` sinks' `api_key` setting {#dd-sinks-api-key}

The `api_key` option has been hidden on the documentation for the `datadog_logs`
and `datadog_metrics` sinks for a few releases now, with the documented name for
that setting being `default_api_key`.

In `v0.28.0`, the `api_key` was communicated as deprecated and as part of the
deprecation policy, is fully removed in this release.

Any usages of `api_key` setting in these sinks will no longer work and they
will need to be instead defined as `default_api_key`.

### Deprecation notices

#### The `logdna` sink has been renamed to `mezmo` {#mezmo_sink}

Following LogDNA's [re-branding][mezmo] to Mezmo, the `logdna` sink has been renamed
to `mezmo`. The old name `logdna` has been deprecated and will be removed in a future release.
Please update your configurations accordingly.

```diff
-type = "logdna"
+type = "mezmo"
```

[mezmo]: https://www.mezmo.com/logdna

#### The `socket` source `tcp` and `unix` mode setting `max_length` has been deprecated {#socket-source-max-length}

The `socket` source modes `tcp` and `unix` have had a `max_length` setting which is meant to
be replaced by the `max_length` setting within the `framing` setting.
The `max_length` setting will be removed from these modes in a future release.
Please replace any explicit usages of `max_length` with a `framing` setting in your configurations.
