---
date: "2023-08-15"
title: "0.32 Upgrade Guide"
description: "An upgrade guide that addresses breaking changes in 0.32.0"
authors: ["jszwedko"]
release: "0.32.0"
hide_on_release_notes: false
badges:
  type: breaking change
---

Vector's 0.32.0 release includes **deprecations**:

1. [VRL `to_timestamp` function](#deprecated-to-timestamp)
2. [Deprecation of legacy OpenSSL providers](#legacy-openssl)

and **potentially impactful changes**:

1. [Upgrade of OpenSSL from 1.1.1 to 3.1.2](#openssl-upgrade)

We cover them below to help you upgrade quickly:

## Upgrade guide

### Deprecations

#### VRL `to_timestamp` function {#deprecated-to-timestamp}

The `to_timestamp` function in VRL was deprecated. Instead, the following functions should be used:

- `parse_timestamp` to parse string timestamps
- `from_unix_timestamp` to parse integer timestamps

This removes some confusion that existed around "magic formats" that the `to_timestamp` had by
requiring string timestamp formats to be specified explicitly.

#### Deprecation of legacy OpenSSL providers {#legacy-openssl}

With the upgrade to OpenSSL 3.1.2, the [legacy algorithm
provider](https://github.com/openssl/openssl/blob/openssl-3.1.2/README-PROVIDERS.md#the-legacy-provider)
was deprecated. The default will be switched in a future version to [default
provider](https://github.com/openssl/openssl/blob/openssl-3.1.2/README-PROVIDERS.md#the-default-provider).
You can opt into this behavior now by setting the environment variable
`VECTOR_OPENSSL_LEGACY_PROVIDER=false`.

### Potentially impactful changes

#### Upgrade of OpenSSL from 1.1.1 to 3.1.2 {#openssl-upgrade}

As part of moving off of OpenSSL 1.1.1 before it becomes [end-of-life in
September](https://www.openssl.org/blog/blog/2023/03/28/1.1.1-EOL/), Vector has upgraded the version
that it statically compiles in to 3.1.2. We don't anticipate any end-user impact from this change to
users of Vector, but [please let us know](https://github.com/vectordotdev/vector/issues) if you see
any breakages resulting from this upgrade.
